diff --git a/src/backend/replication/logical/launcher.c b/src/backend/replication/logical/launcher.c
index 09c87d7..247a8c8 100644
--- a/src/backend/replication/logical/launcher.c
+++ b/src/backend/replication/logical/launcher.c
@@ -259,9 +259,14 @@ logicalrep_worker_launch(Oid dbid, Oid subid, const char *subname, Oid userid,
 	int					nsyncworkers;
 	TimestampTz			now;
 
-	ereport(LOG,
-			(errmsg("starting logical replication worker for subscription \"%s\"",
-					subname)));
+	if (OidIsValid(relid))
+		ereport(LOG,
+				(errmsg("starting logical replication synchronization worker for subscription \"%s\", relation %u",
+						subname, relid)));
+	else
+		ereport(LOG,
+				(errmsg("starting logical replication apply worker for subscription \"%s\"",
+						subname)));
 
 	/* Report this after the initial starting message for consistency. */
 	if (max_replication_slots == 0)
diff --git a/src/backend/replication/logical/tablesync.c b/src/backend/replication/logical/tablesync.c
index 7e51076..69786df 100644
--- a/src/backend/replication/logical/tablesync.c
+++ b/src/backend/replication/logical/tablesync.c
@@ -133,7 +133,8 @@ finish_sync_worker(void)
 	logicalrep_worker_wakeup(MyLogicalRepWorker->subid, InvalidOid);
 
 	ereport(LOG,
-			(errmsg("logical replication synchronization worker finished processing")));
+			(errmsg("logical replication synchronization worker for relation %u finished processing",
+					MyLogicalRepWorker->relid)));
 
 	/* Stop gracefully */
 	walrcv_disconnect(wrconn);
